RSTT 3.2.1 Regional Seismic Travel Time

Loading...
Searching...
No Matches
slbm::GreatCircleFactory Class Reference

A factory class that will return the correct type of GreatCircle object for the specified phase. More...

`#include <GreatCircleFactory.h>`

## Public Member Functions
| GreatCircleFactory ()
| Default constructor.
| ~GreatCircleFactory ()
| Destructor.

## Static Public Member Functions
static GreatCircle * | create (const int &phase, Grid *grid, const double &latSource, const double &lonSource, const double &depthSource, const double &latReceiver, const double &lonReceiver, const double &depthReceiver, const double &chMax)
| Create the appropriate type of GreatCircle object for the specified phase.

## Detailed Description

A factory class that will return the correct type of GreatCircle object for the specified phase.

A factory class that will return the correct type of GreatCircle object for the specified phase.

Definition at line 58 of file GreatCircleFactory.h.

## Constructor & Destructor Documentation

## ◆ GreatCircleFactory()

slbm::GreatCircleFactory::GreatCircleFactory | ( |  | ) |

Default constructor.

Default constructor. Doesn't do anything special.

## ◆ ~GreatCircleFactory()

slbm::GreatCircleFactory::~GreatCircleFactory | ( |  | ) |

Destructor.

Destructor. Doesn't do anything special.

## Member Function Documentation

## ◆ create()

GreatCircle * slbm::GreatCircleFactory::create | ( | const int & | phase,
|  | Grid * | grid,
|  | const double & | latSource,
|  | const double & | lonSource,
|  | const double & | depthSource,
|  | const double & | latReceiver,
|  | const double & | lonReceiver,
|  | const double & | depthReceiver,
|  | const double & | chMax )
| static

Create the appropriate type of GreatCircle object for the specified phase.

Create the appropriate type of GreatCircle object for the specified phase. If the phase is 'Pn' or 'Sn', a GreatCircle_Xn object will be returned. If the phase is 'Pg' or 'Lg', a GreatCircle_Xg object will be returned.

Parameters

  phase | must be one of 'Pn', 'Sn', 'Pg', 'Lg'.
  grid | the Grid object from which CrustalProfile and LayerProfile obects will be interpolated.
  latSource | the geographic latitude of the source, in radians
  lonSource | the geographic longitude of the source, in radians
  depthSource | the depth of the source below sea level, in km
  latReceiver | the geographic latitude of the receiver, in radians
  lonReceiver | the geographic longitude of the receiver, in radians
  depthReceiver | the depth of the receiver below sea level, in km
  chMax | c is the zhao c parameter and h is the turning depth of the ray below the moho. Zhao method only valid for c*h << 1. When c*h > ch_max, then slbm will throw an exception.

The documentation for this class was generated from the following file:

- rstt_v3.2.1/SLBM/include/GreatCircleFactory.h